Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Public Member Functions | Static Public Attributes | List of all members
IPluginFactory3 Class Referenceabstract
Basic Interfaces

Version 3 of class factory supporting PClassInfoW: IPluginFactory3. More...

`#include <ipluginbase.h>`

Inheritance diagram for IPluginFactory3:

## Public Member Functions
virtual tresult | getClassInfoUnicode (int32 index, PClassInfoW *info)=0
| Returns the unicode class info for a given index. More...
virtual tresult | setHostContext (FUnknown *context)=0
| Receives information about host. More...
Public Member Functions inherited from IPluginFactory2
virtual tresult | getClassInfo2 (int32 index, PClassInfo2 *info)=0
| Returns the class info (version 2) for a given index. More...
Public Member Functions inherited from IPluginFactory
virtual tresult | getFactoryInfo (PFactoryInfo *info)=0
| Fill a PFactoryInfo structure with information about the plug-in vendor. More...
virtual int32 | countClasses ()=0
| Returns the number of exported classes by this factory. More...
virtual tresult | getClassInfo (int32 index, PClassInfo *info)=0
| Fill a PClassInfo structure with information about the class at the specified index. More...
virtual tresult | createInstance (FIDString cid, FIDString _iid, void **obj)=0
| Create a new class instance. More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
| Query for a pointer to the specified interface. More...
virtual uint32 | addRef ()=0
| Adds a reference and returns the new reference count. More...
virtual uint32 | release ()=0
| Releases a reference and returns the new reference count. More...

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from IPluginFactory2
static const FUID | iid
Static Public Attributes inherited from IPluginFactory
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Version 3 of class factory supporting PClassInfoW: IPluginFactory3.

Class factory that any plug-in defines for creating class instances: IPluginFactory.

- [plug imp]

From the host's point of view a plug-in module is a factory which can create a certain kind of object(s). The interface IPluginFactory provides methods to get information about the classes exported by the plug-in and a mechanism to create instances of these classes (that usually define the IPluginBase interface).

An implementation is provided in public.sdk/source/common/pluginfactory.cpp

See also
  GetPluginFactory

## Member Function Documentation

## ◆ getClassInfoUnicode()

virtual tresult getClassInfoUnicode | ( | int32 | index,
|  | PClassInfoW * | info
| ) |  |
| pure virtual

Returns the unicode class info for a given index.

## ◆ setHostContext()

virtual tresult setHostContext | ( | FUnknown * | context | ) |
| pure virtual

Receives information about host.

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.